import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';
import 'package:syncrow_web/pages/device_managment/one_g_glass_switch/bloc/one_gang_glass_switch_bloc.dart';

abstract final class OneGangGlassSwitchBlocFactory {
  const OneGangGlassSwitchBlocFactory._();

  static OneGangGlassSwitchBloc create({
    required String deviceId,
  }) {
    return OneGangGlassSwitchBloc(
      deviceId: deviceId,
      controlDeviceService:
          DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService:
          DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
